Subject: [Gen-art] Re: Gen-ART LC review of draft-ietf-sipping-ipv6-torture-tests-03.txt

From: "Vijay K. Gurbani" <[email-masked]>
Date: Mon, 01 Oct 2007 14:45:06 -0500

Brian E Carpenter wrote:
> Summary: Ready except for one tricky point
> Comments: 
> 
> This is clear and easy to understand. Unfortunately, the

Brian: Thank you for the review (it's my turn to be on the
receiving side of a Gen-ART comment ;-) )

[...]
> Because of this old ABNF error, it's long been unclear whether
> the format with ::: should be tolerated, but the format
> with :: certainly must be considered as standard, per RFC 4291.
> 
> Ideally, RFC 3261 needs fixing. As far as torture tests go,
> please consider adding at least one case testing that *both*
> the above constructs are tolerated. Otherwise, I could imagine
> highly obscure operational mysteries ahead.

This is very interesting.  Sure, I will add the additional
test case as you indicate into the next revision.  I will
intimate you when I release a new revision for specific comments
on the new test case.

Thanks, once again.

Regards,

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
WWW:   http://www.alcatel-lucent.com/bell-labs

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Tue, 09 Oct 2007 16:50:26 -0500

Brian: On Sept. 30, 2007 you had sent me some feedback as part
of the GEN-Art review of draft-ietf-sipping-ipv6-torture-tests-03.txt.

The draft has been updated as discussed in email with a new
test case covering the issue you raised (see
http://www1.ietf.org/mail-archive/web/gen-art/current/msg02272.html
for your review.)  The new test case is in Section 4.10 of the
-04 draft.  Will you please eyeball the test case and let me know
if it is okay?

The URL for the revised draft (-04) is:
https://svn.resiprocate.org/rep/ietf-drafts/gurbani/sipping-ipv6-torture-tests/draft-ietf-sipping-ipv6-torture-tests-04.html

A diff between -04 and -03 is at:
http://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=http://svn.resiprocate.org/rep/ietf-drafts/gurbani/sipping-ipv6-torture-tests/draft-ietf-sipping-ipv6-torture-tests-03.txt&url2=http://svn.resiprocate.org/rep/ietf-drafts/gurbani/sipping-ipv6-torture-tests/draft-ietf-sipping-ipv6-torture-tests-04.txt

Thanks for your time.

Regards,

- vijay

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 10 Oct 2007 14:24:27 +1300

Hi,

This is fine, thanks.

Regards
    Brian Carpenter
    University of Auckland